Name: avidemux-qt
Version: 2.6.6
Release: %mkrel 2
Summary: A free video editor
Source0: http://downloads.sourceforge.net/%name/avidemux_%{version}.tar.gz
Patch0: avidemux-qt-2.6.4-desktop.patch
License: GPLv2+
Group: Video/Editors and Converters
Url: http://fixounet.free.fr/avidemux
BuildRequires: avidemux-devel = %{version}
BuildRequires: zlib-devel
BuildRequires: libxv-devel
BuildRequires: vdpau-devel
BuildRequires: SDL-devel
BuildRequires: sqlite3-devel
BuildRequires: qt4-devel
BuildRequires: xsltproc
BuildRequires: cmake
BuildRequires: imagemagick
Requires: %{_lib}avidemux = %{version}
Provides: avidemux = %{version}
Obsoletes: avidemux < %{version}
Suggests: %{name}-plugins
Suggests: avidemux-plugins

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

This package contains the version with a graphical user interface
based on Qt4.

%package devel
Summary: Header file for %{name}
Requires: avidemux-devel = %{version}

%description devel
Header file for %{name}.

%prep
%setup -qn avidemux_%{version}/avidemux/qt4
pushd ../..
%patch0 -p1 -b .orig
popd

%build
%cmake -DAVIDEMUX_SOURCE_DIR=$RPM_BUILD_DIR/../..
make

%install
%makeinstall_std -C build

pushd ../..
install -D avidemux2.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_iconsdir}
convert avidemux_icon.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
popd

%files
%{_bindir}/avidemux3_qt4
%{_bindir}/avidemux3_jobs
%{_libdir}/libADM_*.so
%{_datadir}/avidemux6/i18n/*.qm
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files devel
%{_includedir}/avidemux/*/qt4


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.6.6-2.mga4
+ Revision: 538172
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 2.6.6-1.mga4
+ Revision: 488923
- new version 2.6.6

* Fri Aug 30 2013 fwang <fwang> 2.6.5-1.mga4
+ Revision: 473201
- new version 2.6.5

* Sun Aug 25 2013 fwang <fwang> 2.6.4-3.mga4
+ Revision: 471492
- fully migrated to seprated packages

* Sun Aug 25 2013 fwang <fwang> 2.6.4-2.mga4
+ Revision: 471471
- add devel package

* Sat Aug 24 2013 fwang <fwang> 2.6.4-1.mga4
+ Revision: 471409
- update file list
- br xsltproc
- update filelist
- fix typo
- add desktop file and icon
- imported package avidemux-qt

